var header = document.querySelector('header');
// 监听滚动事件  
window.addEventListener('scroll', function () {
    // 判断滚动位置  
    if (window.scrollY > 0) {
        header.style.position = 'absolute';
    } else {
        header.style.position = 'fixed';
    }
});